const express = require("express");
const router = express.Router();
const bodyParser = require('body-parser');
const Logger = require('../Utils/Logger');

//Routers
const UpdateRouter = require('./Routers/UpdateRouter');
const AccountRouter = require('./Routers/AccountRouter');
const FrameRouter = require('./Routers/FrameRouter');
const UserRouter = require('./Routers/UserRouter');
const FrameViewerRouter = require('./Routers/FrameViewerRouter');


// parse application/x-www-form-urlencoded
router.use(bodyParser.urlencoded({ extended: true }))

// parse application/json
router.use(bodyParser.json())
// bodyParser.parse('image/*') = function(req, options, next) {
//   req.image = req.
//   // for your needs it will probably be this:
//   next();
// }

router.use('/update', UpdateRouter);
router.use('/account', AccountRouter);
router.use('/frame', FrameRouter);
router.use('/frameviewer', FrameViewerRouter);
router.use('/user', UserRouter);
module.exports = router;
